gnome-documents (3.19.4-3) experimental; urgency=medium

  * add Conflicts: against libreoffice-gtk3 (<= 1:5.1.1-1), see
    #818433 

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Mar 2016 08:08:49 +0100

gnome-documents (3.19.4-2) experimental; urgency=medium

  * really bump Build-Depends on libgtk-3-dev in control.in, too 

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Mar 2016 08:23:49 +0100

gnome-documents (3.19.4-1) experimental; urgency=medium

  * New upstream (development) release

  * Update dependencies as per configure.ac:                                   
    - Bump Build-Depends on libgtk-3-dev to (>= 3.19.1).

  * Recommend gir1.2-lokdocview-0.1 in addition to unoconv

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Mar 2016 07:24:47 +0100

gnome-documents (3.18.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Recommends libgsf-bin, this is needed to create the
    thumbnails for the libreoffice files.

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Nov 2015 16:04:38 +0100

gnome-documents (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Quote parameters passed to find to avoid expansion by the shell.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 16:36:22 +0200

gnome-documents (3.18.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/fix-desktop-validation-sl.patch
    - now included in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 03 Oct 2015 11:15:50 +0200

gnome-documents (3.18.0-2) unstable; urgency=medium

  * Add gjs to build-dependencies (Closes: #799826)
    - allows detecting its path during build-time.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Sep 2015 09:52:04 +0200

gnome-documents (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/patches/fix-desktop-validation-sl.patch from upstream git

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 20:25:14 +0200

gnome-documents (3.16.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Sep 2015 23:10:37 +0200

gnome-documents (3.16.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 14:55:07 +0200

gnome-documents (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/gnome-documents-xdg-fail.patch.
  * Update dependencies as per configure.ac:
    - Add Build-Depends on intltool (>= 0.50.1).
    - Bump Build-Depends on libgtk-3-dev to (>= 3.15.5).
    - Replace Build-Depends on libwebkitgtk-3.0-dev with libwebkit2gtk-4.0-dev
      (>= 2.6.0) and Depends on gir1.2-webkit-3.0 with gir1.2-webkit2-4.0 for
      the switch to WebKit2.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jun 2015 00:28:24 +0200

gnome-documents (3.14.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    + Disable SSLv3 because of POODLE.

 -- Josselin Mouette <joss@debian.org>  Tue, 02 Dec 2014 00:19:11 +0100

gnome-documents (3.14.1-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

  [ Michael Biebl ]
  * Refresh gnome-documents-xdg-fail.patch.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Oct 2014 20:24:02 +0200

gnome-documents (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    + libevince-dev (>= 3.13.3)
    + libglib2.0-dev (>= 2.39.3)
    + libgtk-3-dev (>= 3.13.2)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Sep 2014 19:06:28 +0200

gnome-documents (3.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 00:12:14 +0200

gnome-documents (3.12.1-1) experimental; urgency=medium

  * Bump libgjs-dev to (>= 1.40) to build against experimental gjs.
  * Add dependency on gnome-online-miners (Closes: #747563)
  * New upstream release.
  * Add debian/patches/gnome-documents-xdg-fail.patch
    - avoid crashing when not all XDG User Special directories
      are set up properly.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 17 May 2014 10:01:17 +0200

gnome-documents (3.12.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Make sure dh_girepository is actually called (thanks Tim Lunn).

  [ Laurent Bigonville ]
  * New upstream release (3.10.1)
  * debian/control.in: Add dependency against gir1.2-zpj-0.0 (Closes: #734187)
  * debian/control.in: Bump Standards-Version to 3.9.5 (no further changes)
  * debian/rules: Make dh_makeshlibs ignore private libraries
  * debian/control.in: Update Homepage URL (Closes: #732546)

  [ Andreas Henriksson ]
  * New upstream release (3.12.0)
  * Update build-dependencies according to configure.ac changes:
    - bump gtk+ 3.11.5
    - use tracker-1.0
    - switch tracker-miner to tracker-control
  * Massage debian/patches/90_drop-onlyshowin.patch into applying again.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 25 Mar 2014 21:13:03 +0100

gnome-documents (3.10.0-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * Use dh7 style rules instead of cdbs
  * Bump dh compat to 9
  * debian/control.in:
    - Build-depend on desktop-file-utils

  [ Sjoerd Simons ]
  * New upstream release (3.10.0)
  * debian/patches/02-no-gettext.patch:
    + Dropped, merged upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 06 Nov 2013 21:50:43 +0100

gnome-documents (3.8.4-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * Depend on gir1.2-webkit-3.0 (Closes: #721641)

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Sep 2013 17:12:18 +0200

gnome-documents (3.8.3.1-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Michael Biebl ]
  * debian/watch: Track stable releases following the typical GNOME versioning
    scheme.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Aug 2013 14:12:32 +0200

gnome-documents (3.8.3.1-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Add missing dependency on gir1.2-gnomedesktop-3.0
    - Bump minimum GTK for newer libgd
    - Build-depend on gtk-doc-tools and yelp-tools
    - Build-depend on inkscape and poppler-utils to generate
      getting-started PDF
  * debian/rules: --enable-getting-started

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Jun 2013 22:24:54 +0200

gnome-documents (3.8.0-1) experimental; urgency=low

  [ Thomas Bechtold ]
  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 04 Apr 2013 13:32:08 +0200

gnome-documents (3.7.92-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * Fix libgdata-dev build dependency version.
    - 0.13.1-2 should have been 0.13.2-2 to get the right package revision.

  [ Jeremy Bicha ]
  * debian/copyright:
    - Drop debian/* section

  [ Andreas Henriksson ]
  * New upstream release.
  * Bump build-dependencies according to configure.ac:
    - dropped libclutter-gtk-1.0-dev
    - bumped required version of libevince-dev, libgdata-dev, libglib2.0-dev,
      and libgtk-3-dev
    - added itstool, libsoup2.4-dev and libwebkitgtk-3.0-dev
    - switched from libtracker-* from 0.14 to 0.16
  * Drop gir1.2-*clutter* from gnome-documents package
  * Switched gnome-documents tracker dependencies from 0.14 to 0.16.
  * Drop debian/patches/91_link_gdminer_to_gdprivate.patch
    - originally from upstream, now part of released version.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 25 Mar 2013 01:23:04 +0100

gnome-documents (3.6.2-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release (v3.6.1).
  * debian/control.in:
    - Update dependencies

  [ Andreas Henriksson ]
  * New upstream release (v3.6.2).
  * Bump libzapojit-dev and libgdata-dev build-dependencies to include *-2
    package revision with fixed dependencies, w.r.t. pkg-config.
  * Add debian/patches/91_link_gdminer_to_gdprivate.patch
    - fix build (link) failure, picked from upstream git commit c8933107.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Dec 2012 23:22:30 +0100

gnome-documents (0.4.2-3) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in:
    - Add missing dependency on gir1.2-gnomedesktop-3.0

  [ Michael Biebl ]
  * Build against tracker 0.16.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Jul 2013 14:28:47 +0200

gnome-documents (0.4.2-2) unstable; urgency=low

  * 01_tracker_cancellations.patch: from upstream git. Correctly handle 
    Tracker cancellations with the new GError API. Closes: #674047.
  * Require gjs 1.32.0-3 for the new GError feature.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Nov 2012 11:31:24 +0100

gnome-documents (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 16 May 2012 17:53:49 +0200

gnome-documents (0.4.1-1) experimental; urgency=low

  [ Michael Biebl ]
  * New upstream release.

  [ Jeremy Bicha ]
  * debian/control.in:
    - Add libgjs-dev to build-depends
    - Bump minimum evince, gobject-introspection, glib, gtk, & libgdata
    - Standards-Version 3.9.3 (no other changes needed)
  * debian/copyright: Update URL to the final copyright format 1.0 spec.
  * debian/patches/01-privlib.patch: Dropped, upstream
  * debian/patches/90_drop-onlyshowin.patch: Refreshed

  [ Michael Biebl ]
  * Drop explicit Build-Depends on gir1.2-gdata-0.0.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Apr 2012 22:11:47 +0200

gnome-documents (0.2.1-5) unstable; urgency=low

  * Build against tracker 0.14.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Mar 2012 19:22:56 +0100

gnome-documents (0.2.1-4) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Mar 2012 11:48:13 +0100

gnome-documents (0.2.1-3) unstable; urgency=low

  [ Krzysztof Klimonda ]
  * debian/control:
    - Add Depends on gir1.2-goa-1.0.

  [ Laurent Bigonville ]
  * debian/control.in:
    - Add Depends on ${gir:Depends} and gir packages explicitly imported by JS
    - Drop duplicate Section to please lintian
    - Switch Vcs-* field to unstable branch
  * debian/rules:
    - Call dh_autoreconf with --as-needed argument
    - Call dh_girepository with private typelib/gir files path

 -- Laurent Bigonville <bigon@debian.org>  Fri, 30 Dec 2011 15:32:33 +0100

gnome-documents (0.2.1-2) experimental; urgency=low

  * debian/watch:
    - Track .xz tarballs.
  * Move libgdprivate and typelib file out of the system directories into a
    package private directory:
    - Add debian/patches/01-privlib.patch.
    - Use dh-autoreconf to update the build system.
    - Stop splitting libgdprivate into separate binary packages.
  * debian/control:
    - Add Depends on gjs.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Dec 2011 11:13:37 +0100

gnome-documents (0.2.1-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * Initial release.

  [ Sjoerd Simons ]
  * New upstream release
  * debian/control.in: Depend tracker (>= 0.12.0)
  * debian/control.in: Recomend unoconv

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 06 Nov 2011 10:48:42 +0000
